Inhalte

# Funktion FindPropertyObject

Ermöglicht es, Eigenschaften vom Typ Objekt zur Laufzeit über ihren Namen als String-Parameter anzusprechen.

Beispielsweise folgender Befehl:

    MyObj.Prop1.Command = 5

folgendem Befehlsblock:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

So können Namen dynamisch zur Laufzeit erstellt werden. Beispiel:

"TextEdit1" bis "TextEdit5" in einer Schleife, um fünf Kontrollnamen zu erzeugen.

Siehe auch: FindObject

## Syntax:

    FindPropertyObject( ObjVar, PropName As String )

## Parameter:

ObjVar: Objektvariable, die Sie zur Laufzeit dynamisch definieren möchten.

PropName: Zeichenfolge, die den Namen der zur Laufzeit anzusprechenden Eigenschaft festlegt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

12 Variable nicht definiert

14 Ungültiger Parameter

52 Dateiname oder -nummer falsch

57 Geräte-E/A-Fehler

Bitte unterstützen Sie uns!